<?php
/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */

// phpcs:disable Magento2.Templates.ThisInTemplate

/** @var $block \Magento\Sales\Block\Order\Email\Items */
?>
<?php $_order = $block->getOrder() ?>
<?php if ($_order) : ?>
    <?php $_items = $_order->getAllItems(); ?>
    <table class="email-items" width="100%" align="center" border="0" cellpadding="0" cellspacing="0" style="width:100% !important; max-width:100% !important;">
        <thead>
            <tr>
                <th class="item-info" style="font-size: 20px;padding: 10px; width: 60%; text-align: left; border-bottom-color: rgb(112, 112, 112); border-bottom-width: 1px; border-bottom-style: solid;">
                    <?= $block->escapeHtml(__('Items')) ?>
                </th>
                <th class="item-qty" style="font-size: 20px;padding: 10px; width: 20%; text-align: center; border-bottom-color: rgb(112, 112, 112); border-bottom-width: 1px; border-bottom-style: solid;">
                    <?= $block->escapeHtml(__('Qty')) ?>
                </th>
                <th class="item-price" style="font-size: 20px;padding: 10px; width: 20%; text-align: center; border-bottom-color: rgb(112, 112, 112); border-bottom-width: 1px; border-bottom-style: solid;">
                    <?= $block->escapeHtml(__('Price')) ?>
                </th>
            </tr>
        </thead>
        <?php foreach ($_items as $_item) : ?>
            <?php if (!$_item->getParentItem()) : ?>
                <tbody>
                    <?= $block->getItemHtml($_item) ?>
                </tbody>
            <?php endif; ?>
        <?php endforeach; ?>
        <tfoot class="order-totals">
            <?= $block->getChildHtml('order_totals') ?>
        </tfoot>
    </table>
    <?php if ($this->helper(\Magento\GiftMessage\Helper\Message::class)
            ->isMessagesAllowed('order', $_order, $_order->getStore())
        && $_order->getGiftMessageId()
    ) : ?>
        <?php $_giftMessage = $this->helper(\Magento\GiftMessage\Helper\Message::class)
            ->getGiftMessage($_order->getGiftMessageId()); ?>
        <?php if ($_giftMessage) : ?>
            <br />
            <table class="message-gift">
                <tr>
                    <td>
                        <h3 style="font-size: 22px;"><?= $block->escapeHtml(__('Gift Message for this Order')) ?></h3>
                        <strong><?= $block->escapeHtml(__('From:')) ?></strong> <?= $block->escapeHtml($_giftMessage->getSender()) ?>
                        <br /><strong><?= $block->escapeHtml(__('To:')) ?></strong> <?= $block->escapeHtml($_giftMessage->getRecipient()) ?>
                        <br /><strong><?= $block->escapeHtml(__('Message:')) ?></strong>
                        <br /><?= $block->escapeHtml($_giftMessage->getMessage()) ?>
                    </td>
                </tr>
            </table>
        <?php endif; ?>
    <?php endif; ?>
<?php endif; ?>
